Want new service.

Answered

Comments

1 comment

  • FreedomPop Community

    Hello tim roland!

    Thank you for contacting FreedomPop!

    We apologize for the delay in our reply. We’ll be glad to take a look at your current request. 

    You are correct, our SIM cards are compatible with GSM unlocked devices running on Android 4.3 or + / iOS 8.2 or higher. Please note, your device has to meet the previous requirements in order for the SIM card to work properly. Check out this support link for more information.

    Should you have doubts or questions, please feel free to reply to this message and we'll be more than happy to help you. 

     

     

    0
    Comment actions Permalink

Please sign in to leave a comment.